Bug 22525 - Navigation arrows on the bottom of Cataloging search pages
Summary: Navigation arrows on the bottom of Cataloging search pages
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-15 20:00 UTC by Alexandre
Modified: 2019-05-29 12:24 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
This enhancement adds pagination links to the bottom of the cataloging search result page. Before this there were only pagination links at the top of the page.
Version(s) released in:


Attachments
No arrows on the bottom of the list (280.32 KB, image/jpeg)
2019-03-15 20:00 UTC, Alexandre
Details
Bug 22525: Navigation arrows on the bottom of Cataloging search pages (1.25 KB, patch)
2019-03-19 16:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22525: Navigation arrows on the bottom of Cataloging search pages (1.31 KB, patch)
2019-03-19 17:22 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 22525: Navigation arrows on the bottom of Cataloging search pages (1.36 KB, patch)
2019-03-22 19:39 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22525: Navigation arrows on the bottom of Cataloging search pages (1.41 KB, patch)
2019-03-24 13:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre 2019-03-15 20:00:37 UTC
Created attachment 86690 [details]
No arrows on the bottom of the list

As title said, it will be usefull to have the same arrows as on the upper part of the list pointing on following and previous page when doing a search on cataloging search because results pages can be very long.

Thanks,

ALexandre
Comment 1 Owen Leonard 2019-03-19 16:08:51 UTC
Created attachment 86754 [details] [review]
Bug 22525: Navigation arrows on the bottom of Cataloging search pages

This patch adds a second set of pagination links to the cataloging
search result page, at the bottom of the first set of search results.

Also added is a horizontal rule after the second set of links in order
to make it clearer that the links are for the search results above.

To test, apply the patch and go to Cataloging. Perform a search which
will return multiple pages of results. Confirm that the links work
correctly.
Comment 2 sandboxes@biblibre.com 2019-03-19 17:22:11 UTC
Patch tested with a sandbox, by Marjorie <marjorie.barry-vila@collecto.ca>
Comment 3 sandboxes@biblibre.com 2019-03-19 17:22:38 UTC
Created attachment 86755 [details] [review]
Bug 22525: Navigation arrows on the bottom of Cataloging search pages

This patch adds a second set of pagination links to the cataloging
search result page, at the bottom of the first set of search results.

Also added is a horizontal rule after the second set of links in order
to make it clearer that the links are for the search results above.

To test, apply the patch and go to Cataloging. Perform a search which
will return multiple pages of results. Confirm that the links work
correctly.

Signed-off-by: Marjorie <marjorie.barry-vila@collecto.ca>
Comment 4 Bin Wen 2019-03-22 19:39:09 UTC
Created attachment 86928 [details] [review]
Bug 22525: Navigation arrows on the bottom of Cataloging search pages

This patch adds a second set of pagination links to the cataloging
search result page, at the bottom of the first set of search results.

Also added is a horizontal rule after the second set of links in order
to make it clearer that the links are for the search results above.

To test, apply the patch and go to Cataloging. Perform a search which
will return multiple pages of results. Confirm that the links work
correctly.

Signed-off-by: Marjorie <marjorie.barry-vila@collecto.ca>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 5 Katrin Fischer 2019-03-24 13:47:28 UTC
Created attachment 86958 [details] [review]
Bug 22525: Navigation arrows on the bottom of Cataloging search pages

This patch adds a second set of pagination links to the cataloging
search result page, at the bottom of the first set of search results.

Also added is a horizontal rule after the second set of links in order
to make it clearer that the links are for the search results above.

To test, apply the patch and go to Cataloging. Perform a search which
will return multiple pages of results. Confirm that the links work
correctly.

Signed-off-by: Marjorie <marjorie.barry-vila@collecto.ca>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-03-28 18:19:58 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-01 13:59:14 UTC
Enhancement, will not be backported to 18.11.x series.